netris(6)

NAME
netris - networked version of tetris

SYNOPSIS
netris [-wFDSCHR] [-c host] [-p port] [-k keys] [-i sec] [-r robot] [-s seed]

DESCRIPTION
The object of the game Tetris is to fit the shapes together forming complete rows, which then vanish. When the shapes fill up to the top, the game ends. This version of Tetris can be played against other people over a network.

OPTIONS

-w  Wait for connection from another host running netris.

-c  host
    Initiate connection to waiting netris running on host.

-p  port
    Set the port number to use for connecting to netris, the default port is 9284.

-k  keys
    Remap keys, the argument is a prefix of the string containing the keys in order: left, rotate, right, drop, down-faster, toggle-spying, pause, faster, redraw and new game. Use the "^" character to prefixes controls. The default is to use "jkl mspf^ln".

-i  sec
    Set the step-down interval, in seconds.

-r  robot
    Execute robot (a command) as a robot controlling the game instead of the keyboard.

-F  Use fair robot interface.

-s  seed
    Start with given random seed.

-D  Drops go into drop mode, this means that sliding off a cliff after a drop causes another drop automatically.

-S  Disable inverse/bold/color for slow terminals.

-C  Disable color.

-H  Show distribution and warranty information.

-R  Show the rules of the game.

RULES

  Two player mode
It's just like normal Tetris except that when you clear more than one row with a single piece, the other player's board is moved up and junk rows are added to the bottom. If you clear 2, 3 or 4 rows, 1, 2 or 4 junk rows are added to your opponent's board, respectively. The junk rows have exactly one empty column. For each group of junk rows given, the empty columns will line up. This is intentional. The longest surviving player wins the game.

  One player mode
This mode is currently very boring, because there's no scoring and it never gets any faster. This will be rectified at some point. I'm not very motivated to do it right now because I'm sick of one player Tetris. For now, use the "f" key (by default) to make the game go faster. Speed-ups cannot be reversed for the remainder of the game.

AUTHORS
Netris was written by Mark H. Weaver <mhw@netris.org>. This manual page was written by Edward Betts <edward@debian.org>, for the Debian GNU/Linux system (but may be used by others).